//Title : Write a C program to create a child process using fork() function
//Roll No : 
//Batch : S2

#include<stdlib.h> //header file for standard library functions
#include<unistd.h> //header file for UNIX standard functions
#include<sys/types.h> //header file for getpid() function
#include<stdio.h> //header file for standard i/o functions
void main() //main function
{
	int pid; //declaration of pid for process ID
	pid=fork(); //assigning value returned by fork() to pid
	if(pid<0) //checking if pid<0
	{
		printf("\nError...!"); //print Error
		exit(1); //exit
	}
	else if(pid==0) //checking if pid=0
	{
		printf("\nChild Process Has Been Created Successfully... ID is %d \n\n",getpid());//print id of child process
		exit(1); //exit
	}
	else //else 
	{
		printf("\nParent Process Has Been Created Successfully... ID is %d \n",getpid()); //print id of parent process
	}
} //end of main()
/*-----------------------------------OUTPUT-----------------------------------------------------------
[student@localhost ~]$ gcc fork.c
[student@localhost ~]$ ./a.out

Parent Process Has Been Created Successfully... ID is 3007 

Child Process Has Been Created Successfully... ID is 3008 
*/

