//C Program to display PCI descriptions using lspci command
//Batch No : S2
//Roll No : 39

#include<stdio.h> //header file to use standard i/o functions
#include<unistd.h> //header file to use Unix standard functions
#include<stdlib.h> //header file to use standard library functions
void main() //main functions
{
	printf("\nDetails Of PCI :\n"); //print details of PCI
	system("lspci -v"); //lspci -v command called via system() function
	printf("\nTotal Number Of PCI Is :\n"); //print total number of PCI
	sleep(5); //pause for 5 s
	system("lspci -v | wc -l"); //system() function to word count
	printf("\n"); //print new line
} //end of main function

/*<---------------OUTPUT--------------->
.
.
.
.
.
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
	Subsystem: Dell Device 04f5
	Flags: medium devsel, IRQ 3
	Memory at e1a10000 (64-bit, non-prefetchable) [size=256]
	I/O ports at 4040 [size=32]

00:1f.5 IDE interface: Intel Corporation 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller (rev 04) (prog-if 85 [Master SecO PriO])
	Subsystem: Dell Device 04f5
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 18
	I/O ports at 40b0 [size=8]
	I/O ports at 40a0 [size=4]
	I/O ports at 4090 [size=8]
	I/O ports at 4080 [size=4]
	I/O ports at 4070 [size=16]
	I/O ports at 4060 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168 PCI Express Gigabit Ethernet controller (rev 06)
	Subsystem: Dell Device 04f5
	Flags: bus master, fast devsel, latency 0, IRQ 40
	I/O ports at 2000 [size=256]
	Memory at e0a10000 (64-bit, prefetchable) [size=4K]
	Memory at e0a00000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169


Total Number Of PCI Is :
111
*/

